View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000991Ecere SDKinstallerpublic2013-08-28 19:272013-09-30 09:05
Reporterjerome 
Assigned Tojerome 
PriorityimmediateSeveritymajorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.44.08 
Target Version0.44.10 64Fixed in Version0.44.10 64 
Summary0000991: Provide a proper GDB, without Python and its dependencies
DescriptionDependencies such as MSVCR90.dll are not available on older Windows versions.

Make sure the GDB version can step inside ecere.dll

Build from source if we can to have better control/tracking over GDB versions we use.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001052)
jerome (administrator)
2013-09-03 23:13

Unrelated note: Disable libstdc++.dll.a as it causes linking issues.
(0001083)
jerome (administrator)
2013-09-28 06:22
edited on: 2013-09-28 07:12

To build GDB from git repository ( git://sourceware.org/git/gdb.git [^] )

- I started off MSYS from MinGW-builds distribution

( http://sourceforge.net/projects/mingwbuilds/files/external-binary-packages/ [^] )

msys+7za+wget+svn+git+mercurial+cvs-rev13.7z

- I copied my TDM GCC 7.4.1 into it

- You'll need expat in order for frames to work properly in the debugger and avoid an annoying message. Otherwise you'll be seeing random unrelated misinformation in the call stack.

http://sourceforge.net/projects/expat/files/expat/2.1.0/ [^]

- Configuring and building in a directory one level up outside of the gdb source tree

64 bit:

$ ../gdb/configure --build=x86_64-w64-mingw32 --host=x86_64-w64-mingw32 --target=x86_64-w64-mingw32 CFLAGS='-O2' --without-python --disable-nls --with-expat=/expat-2.1.0/

32 bit:

$ ../gdb/configure --build=mingw32 --host=mingw32 --target=mingw32 CFLAGS='-O2 -mtune=i686 -m32' --without-python --disable-nls --with-expat=/expat-2.1.0.32/

(0001084)
jerome (administrator)
2013-09-28 06:47
edited on: 2013-09-28 07:05

expat detection/reconfiguration is a royal pain

The only way I found working was to copy libexpat.* from expat-2.1.0.32/.libs/ into msys/local/lib/

This means swapping either the 32 or the 64 bit libexpat libraries

expat.h and expat_external.h shoudl also be in msys/local/include/


- Issue History
Date Modified Username Field Change
2013-08-28 19:27 jerome New Issue
2013-08-28 19:27 jerome Status new => assigned
2013-08-28 19:27 jerome Assigned To => jerome
2013-09-03 23:13 jerome Note Added: 0001052
2013-09-08 18:24 jerome Target Version 0.44.09 => 0.44.10 64
2013-09-28 06:22 jerome Note Added: 0001083
2013-09-28 06:23 jerome Note Edited: 0001083
2013-09-28 06:47 jerome Note Added: 0001084
2013-09-28 06:47 jerome Note Edited: 0001083
2013-09-28 07:05 jerome Note Edited: 0001084
2013-09-28 07:05 jerome Note Edited: 0001084
2013-09-28 07:12 jerome Note Edited: 0001083
2013-09-30 09:05 jerome Status assigned => closed
2013-09-30 09:05 jerome Resolution open => fixed
2013-09-30 09:05 jerome Fixed in Version => 0.44.10 64



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker